#include <stdio.h>
#include <stdlib.h>
#define MAX_P 100001

typedef struct pt_typ {
  short int x,y;
} pt;

pt points[MAX_P];
int P;

int pt_cmp(const void *e1,const void *e2) {
  if (((pt *)e1)->x < ((pt *)e2)->x) return -1;
  if (((pt *)e1)->x > ((pt *)e2)->x) return  1;
  if (((pt *)e1)->y < ((pt *)e2)->y) return -1;
  if (((pt *)e1)->y > ((pt *)e2)->y) return  1;
  return 0;
}

int main(void) {
  int i,j;
  unsigned long sum;

  while (scanf("%d",&P),P) {
    sum=0;
    for (i=0;i<P;i++) scanf("%hd %hd",&points[i].x,&points[i].y);
    
    for (i=0;i<2;i++) {
      qsort(points,P,sizeof(pt),pt_cmp);
      for (j=0;j<P;j+=2) sum+=points[j+1].y - points[j].y;

      if (!i)
	for (j=0;j<P;j++) {
	  pt tmp=points[j];
	  points[j].x=tmp.y;
	  points[j].y=tmp.x;
	}
    }

    printf("The length of the fence will be %lu units.\n",sum);
  }

  return 0;
}
